Bug 218604 - Chained code completion
Chained code completion
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.2
All All
: P3 with 1 vote (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 10:49 UTC by iikku
Modified: 2013-04-28 02:16 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description iikku 2012-09-19 10:49:34 UTC
As explained in http://jetbrains.dzone.com/articles/top-20-code-completions-in-intellij-idea

Code completion should also suggest applicable attributes from within the current scope of variables as parameters for methods.
Comment 1 Dusan Balek 2013-04-23 08:17:33 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/2cb253f787d6
Comment 2 Quality Engineering 2013-04-28 02:16:31 UTC
Integrated into 'main-golden', will be available in build *201304272301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2cb253f787d6
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #218604: Chained code completion - added.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo